Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.hierarchy
Class AbstractCategory

    java.lang.Object
      com.tonbeller.jpivot.navigator.hierarchy.AbstractCategory

All Implemented Interfaces:
  com.tonbeller.wcf.catedit.Category

    public abstract class AbstractCategory

extends java.lang.Object
implements com.tonbeller.wcf.catedit.Category

AxisCategory or SlicerCategory. Contains a list of HierInfo's. Represents a Query Axis, either visible (row, column) or slicer.

Author:
  av

Constructor Summary
`AbstractCategory(HierarchyNavigator navi, java.lang.String name, java.lang.String icon)` ctor for visible axis

Method Summary
`void` | `addItem(com.tonbeller.wcf.catedit.Item item)`
`void` | `changeOrder(java.util.List items)`
`void` | `deleteDeleted()` removes the deleted items from the model
`HierarchyItem` | `findItemFor(Hierarchy hier)` simulates an itemClick for the hierarchy
`java.lang.String` | `getIcon()`
`java.util.List` | `getItems()` Returns the items.
`java.lang.String` | `getName()`
`boolean` | `isDirty()` Returns the dirty.
`abstract boolean` | `isSlicer()`
`abstract void` | `itemClicked(com.tonbeller.wcf.controller.RequestContext context, HierarchyItem item)` user has clicked on the hyperlink for item
`void` | `removeItem(com.tonbeller.wcf.catedit.Item item)`
`void` | `setDirty(boolean dirty)` Sets the dirty to true

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.catedit.Category
`isEmptyAllowed, isOrderSignificant`

Constructor Detail

### AbstractCategory

    public AbstractCategory(HierarchyNavigator navi,
                            java.lang.String name,
                            java.lang.String icon)

  ctor for visible axis

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `com.tonbeller.wcf.catedit.Category`
  See Also:
    `com.tonbeller.jpivot.core.Displayable#getName()`

### getItems

    public java.util.List getItems()

  Returns the items.

  Specified by:
    `getItems` in interface `com.tonbeller.wcf.catedit.Category`
  Returns:
    List

### addItem

    public void addItem(com.tonbeller.wcf.catedit.Item item)

  Specified by:
    `addItem` in interface `com.tonbeller.wcf.catedit.Category`

### changeOrder

    public void changeOrder(java.util.List items)

  Specified by:
    `changeOrder` in interface `com.tonbeller.wcf.catedit.Category`

### removeItem

    public void removeItem(com.tonbeller.wcf.catedit.Item item)

  Specified by:
    `removeItem` in interface `com.tonbeller.wcf.catedit.Category`

### getIcon

    public java.lang.String getIcon()

  Specified by:
    `getIcon` in interface `com.tonbeller.wcf.catedit.Category`
  See Also:
    `Category.getIcon()`

### isDirty

    public boolean isDirty()

  Returns the dirty.

  Returns:
    boolean

### setDirty

    public void setDirty(boolean dirty)

  Sets the dirty to true

  Parameters:
    `dirty` - The dirty to set

### itemClicked

    public abstract void itemClicked(com.tonbeller.wcf.controller.RequestContext context,
                                     HierarchyItem item)

  user has clicked on the hyperlink for item

### findItemFor

    public HierarchyItem findItemFor(Hierarchy hier)

  simulates an itemClick for the hierarchy

### isSlicer

    public abstract boolean isSlicer()

### deleteDeleted

    public void deleteDeleted()

  removes the deleted items from the model

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD